---
updatedAt: 2026-05-28T18:23:25.000Z
agentTools:
  projectIndex: https://apidocs.klipfolio.com/llms.txt
---

# User Groups

View and manage groups to which a user belongs in your account or your client accounts. 

## GET /users/\{id}/groups

<Table align={["left","left"]}>
  <thead>
    <tr>
      <th style={{ textAlign: "left" }}>

      </th>

      <th style={{ textAlign: "left" }}>

      </th>
    </tr>
  </thead>

  <tbody>
    <tr>
      <td style={{ textAlign: "left" }}>
        Description
      </td>

      <td style={{ textAlign: "left" }}>
        Retrieve the list of groups to which the specified user belongs in the company or client account.
      </td>
    </tr>

    <tr>
      <td style={{ textAlign: "left" }}>
        Permissions
      </td>

      <td style={{ textAlign: "left" }}>
        user.manage
      </td>
    </tr>

    <tr>
      <td style={{ textAlign: "left" }}>
        Resource URL
      </td>

      <td style={{ textAlign: "left" }}>
        [https://app.klipfolio.com/api/1.0/users/\{id}/groups](https://app.klipfolio.com/api/1.0/users/\{id}/groups)
      </td>
    </tr>

    <tr>
      <td style={{ textAlign: "left" }}>
        Parameters
      </td>

      <td style={{ textAlign: "left" }}>
        user id  
        optional: client_id
      </td>
    </tr>
  </tbody>
</Table>

## Example Request

```Text Get groups a user belongs to
GET https://app.klipfolio.com/api/1/users/fedcba9876543210fedcba9876543210/groups
```
```Text Client get groups a user belongs to
GET https://app.klipfolio.com/api/1/users/fedcba9876543210fedcba9876543210/groups?client_id=0123456789abcdef0123456789abcdef
```

## Example Response

```
{
   "data": {
       "groups": [
           {
               "description": All managers in the company,
               "id": "0123456789abcdef0123456789abcdef",
               "name": "Managers"
           },
           {
               "description": "All users in the company",
               "id": "0123456789abcdef0123456789abcdef",
               "name": "All"
           }
       ]
   },
   "meta": {
       "status": 200,
       "success": true
   }
```

## PUT /users/\{id}/groups/\{id}

<Table align={["left","left"]}>
  <thead>
    <tr>
      <th>

      </th>

      <th>

      </th>
    </tr>
  </thead>

  <tbody>
    <tr>
      <td>
        Description
      </td>

      <td>
        Add a specified user to one group at a time in the company or client account.
      </td>
    </tr>

    <tr>
      <td>
        Permissions
      </td>

      <td>
        user.manage
      </td>
    </tr>

    <tr>
      <td>
        Resource URL
      </td>

      <td>
        [https://app.klipfolio.com/api/1.0/users/\{id}/groups](https://app.klipfolio.com/api/1.0/users/\{id}/groups)
      </td>
    </tr>

    <tr>
      <td>
        Fields
      </td>

      <td>
        user id, group_id,  can_edit (true/false)  
        optional: client_id
      </td>
    </tr>
  </tbody>
</Table>

## Example Request

```Text Update groups a user belongs to
PUT https://app.klipfolio.com/api/1/users/fedcba9876543210fedcba9876543210/groups/0123456789abcdef0123456789abcdef
```
```Text Client update groups a user belongs to
PUT https://app.klipfolio.com/api/1/users/fedcba9876543210fedcba9876543210/groups/0123456789abcdef0123456789abcdef?client_id=0123456789abcdef0123456789abcdef
```

## Example Response

```
{
   "meta": {
       "status": 200,
       "success": true
   }
}
```

## DELETE /users/\{id}/groups/\{id}

<Table align={["left","left"]}>
  <thead>
    <tr>
      <th>

      </th>

      <th>

      </th>
    </tr>
  </thead>

  <tbody>
    <tr>
      <td>
        Description
      </td>

      <td>
        Delete a specified user from specified groups in the company or client account.
      </td>
    </tr>

    <tr>
      <td>
        Permissions
      </td>

      <td>
        user.manage
      </td>
    </tr>

    <tr>
      <td>
        Resource URL
      </td>

      <td>
        [https://app.klipfolio.com/api/1.0/users/\{id}/groups/\{groupId}](https://app.klipfolio.com/api/1.0/users/\{id}/groups/\{groupId})
      </td>
    </tr>

    <tr>
      <td>
        Parameters
      </td>

      <td>
        user id, group id  
        optional: client_id
      </td>
    </tr>
  </tbody>
</Table>

## Example Request

```Text Delete a user from a group
DELETE https://app.klipfolio.com/api/1/users/fedcba9876543210fedcba9876543210/groups/0123456789abcdef0123456789abcdef
```
```Text Client delete user from a group
DELETE https://app.klipfolio.com/api/1/users/fedcba9876543210fedcba9876543210/groups/0123456789abcdef0123456789abcdef?client_id=0123456789abcdef0123456789abcdef
```

## Example Response

```
{
"meta": {
      "status": 200,
      "success": true
  }
}
```